import { CSSProperties } from 'react';
import './style.scss';
export declare type ImageProps = {
    style?: CSSProperties;
    className?: string;
    src: string;
    alt?: string;
    width?: string;
    height?: string;
    fit?: 'fill' | 'contain' | 'cover' | 'none' | 'scale-down';
    preview?: boolean;
    previewList?: Array<string>;
    toIndex?: number;
};
declare function Image(props: ImageProps): JSX.Element;
declare namespace Image {
    var defaultProps: {
        style: string;
        className: string;
        alt: string;
        width: string;
        height: string;
        fit: string;
        preview: boolean;
        previewList: never[];
        toIndex: number;
    };
}
export default Image;
