import React, { CSSProperties } from 'react';
import './style.scss';
export declare type MaskProps = {
    style?: CSSProperties;
    className?: string;
    zIndex?: number;
    visible: boolean;
    children?: React.ReactNode;
    background?: string;
    maskClick?: (e: React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
};
declare function Mask(props: MaskProps): JSX.Element;
declare namespace Mask {
    var defaultProps: {
        style: string;
        className: string;
        zIndex: number;
        children: null;
        background: string;
        maskClick: () => void;
    };
}
export default Mask;
